wxWidgets: wxPGCell Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxPGCell Class Reference
Class List by Category » wxPropertyGrid

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/propgrid/property.h>`

Inheritance diagram for wxPGCell:
[legend]

## Detailed Description

Base class for wxPropertyGrid cell information.

##

Library: wxPropertyGrid

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxPGCell ()
| wxPGCell (const wxPGCell &other)
| wxPGCell (const wxString &text, const wxBitmap &bitmap=wxNullBitmap, const wxColour &fgCol=wxNullColour, const wxColour &bgCol=wxNullColour)
virtual | ~wxPGCell ()
const wxPGCellData * | GetData () const
bool | HasText () const
| Returns true if this cell has custom text stored within. More...
void | MergeFrom (const wxPGCell &srcCell)
| Merges valid data from srcCell into this. More...
void | SetText (const wxString &text)
void | SetBitmap (const wxBitmap &bitmap)
void | SetFgCol (const wxColour &col)
void | SetFont (const wxFont &font)
| Sets font of the cell. More...
void | SetBgCol (const wxColour &col)
const wxString & | GetText () const
const wxBitmap & | GetBitmap () const
const wxColour & | GetFgCol () const
const wxFont & | GetFont () const
| Returns font of the cell. More...
const wxColour & | GetBgCol () const
wxPGCell & | operator= (const wxPGCell &other)
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxPGCell() [1/3]

wxPGCell::wxPGCell | ( |  | ) |

## ◆ wxPGCell() [2/3]

wxPGCell::wxPGCell | ( | const wxPGCell & | other | ) |

## ◆ wxPGCell() [3/3]

wxPGCell::wxPGCell | ( | const wxString & | text,
|  | const wxBitmap & | bitmap = `wxNullBitmap`,
|  | const wxColour & | fgCol = `wxNullColour`,
|  | const wxColour & | bgCol = `wxNullColour`
| ) |  |

## ◆ ~wxPGCell()

virtual wxPGCell::~wxPGCell | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ GetBgCol()

const wxColour& wxPGCell::GetBgCol | ( |  | ) | const

## ◆ GetBitmap()

const wxBitmap& wxPGCell::GetBitmap | ( |  | ) | const

## ◆ GetData()

const wxPGCellData* wxPGCell::GetData | ( |  | ) | const

## ◆ GetFgCol()

const wxColour& wxPGCell::GetFgCol | ( |  | ) | const

## ◆ GetFont()

const wxFont& wxPGCell::GetFont | ( |  | ) | const

Returns font of the cell.

If no specific font is set for this cell, then the font will be invalid.

## ◆ GetText()

const wxString& wxPGCell::GetText | ( |  | ) | const

## ◆ HasText()

bool wxPGCell::HasText | ( |  | ) | const

Returns true if this cell has custom text stored within.

## ◆ MergeFrom()

void wxPGCell::MergeFrom | ( | const wxPGCell & | srcCell | ) |

Merges valid data from srcCell into this.

## ◆ operator=()

wxPGCell& wxPGCell::operator= | ( | const wxPGCell & | other | ) |

## ◆ SetBgCol()

void wxPGCell::SetBgCol | ( | const wxColour & | col | ) |

## ◆ SetBitmap()

void wxPGCell::SetBitmap | ( | const wxBitmap & | bitmap | ) |

## ◆ SetFgCol()

void wxPGCell::SetFgCol | ( | const wxColour & | col | ) |

## ◆ SetFont()

void wxPGCell::SetFont | ( | const wxFont & | font | ) |

Sets font of the cell.

Remarks
  Because wxPropertyGrid does not support rows of different height, it makes little sense to change size of the font. Therefore it is recommended to use return value of wxPropertyGrid::GetFont() or wxPropertyGrid::GetCaptionFont() as a basis for the font that, after modifications, is passed to this member function.

## ◆ SetText()

void wxPGCell::SetText | ( | const wxString & | text | ) |